> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stigg.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a addon entitlement

> Updates an existing entitlement on a draft addon.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/stigg/openapi.documented.yml patch /api/v1/addons/{addonId}/entitlements/{id}
openapi: 3.0.0
info:
  title: Stigg API
  description: Stigg API documentation
  version: 7.64.2
  contact: {}
servers:
  - url: https://api.stigg.io
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Customers
    description: Operations related to customers
  - name: Subscriptions
    description: Operations related to subscriptions
  - name: Coupons
    description: Operations related to coupons
  - name: Bulk Import
    description: Operations related to import of customers and subscriptions
  - name: Usage
    description: Operations related to usage & metering
  - name: Promotional Entitlements
    description: Operations related to promotional entitlements
  - name: Products
    description: Operations related to products
  - name: Features
    description: Operations related to features
  - name: Addons
    description: Operations related to addons
  - name: Plans
    description: Operations related to plans
  - name: Credit grants
    description: Operations related to credit grants
  - name: Credit ledger
    description: Operations related to credit ledger
  - name: Custom currencies
    description: Operations related to custom currencies
paths:
  /api/v1/addons/{addonId}/entitlements/{id}:
    patch:
      tags:
        - Addon Entitlements
      summary: Update a addon entitlement
      description: Updates an existing entitlement on a draft addon.
      operationId: AddonEntitlementsController_updateEntitlement
      parameters:
        - name: addonId
          required: true
          in: path
          description: The addon ID
          schema:
            minLength: 1
            maxLength: 255
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
            type: string
        - name: id
          required: true
          in: path
          description: The feature ID or custom currency ID of the entitlement
          schema:
            minLength: 1
            maxLength: 255
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
            type: string
        - name: X-ACCOUNT-ID
          in: header
          description: >-
            Account ID — optional when authenticating with a user JWT (Bearer
            token); falls back to the user's first membership. Ignored for
            API-key auth.
          required: false
          schema:
            type: string
        - name: X-ENVIRONMENT-ID
          in: header
          description: >-
            Environment ID — required when authenticating with a user JWT
            (Bearer token) on environment-scoped endpoints. Ignored for API-key
            auth (env is intrinsic to the key).
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAddonEntitlementRequestDto'
      responses:
        '200':
          description: The updated addon entitlement object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddonPackageEntitlementResponseDto'
        '400':
          description: bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadInputErrorResponseDto'
        '401':
          description: User is not authenticated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedErrorResponseDto'
        '403':
          description: User is not allowed to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponseDto'
        '404':
          description: Addon Entitlement not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponseDto'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponseDto'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Stigg from '@stigg/typescript';


            const client = new Stigg({
              apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
            });


            const addonPackageEntitlement = await
            client.v1.addons.entitlements.update('id', {
              addonId: 'addonId',
              type: 'FEATURE',
            });


            console.log(addonPackageEntitlement.data);
        - lang: Python
          source: |-
            import os
            from stigg import Stigg

            client = Stigg(
                api_key=os.environ.get("STIGG_API_KEY"),  # This is the default and can be omitted
            )
            addon_package_entitlement = client.v1.addons.entitlements.update(
                id="id",
                addon_id="addonId",
                type="FEATURE",
            )
            print(addon_package_entitlement.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stiggio/stigg-go\"\n\t\"github.com/stiggio/stigg-go/option\"\n)\n\nfunc main() {\n\tclient := stigg.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taddonPackageEntitlement, err := client.V1.Addons.Entitlements.Update(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t\tstigg.V1AddonEntitlementUpdateParams{\n\t\t\tAddonID:   \"addonId\",\n\t\t\tOfFeature: &stigg.V1AddonEntitlementUpdateParamsBodyFeature{},\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", addonPackageEntitlement.Data)\n}\n"
        - lang: Java
          source: >-
            package io.stigg.example;


            import io.stigg.client.StiggClient;

            import io.stigg.client.okhttp.StiggOkHttpClient;

            import
            io.stigg.models.v1.addons.entitlements.AddonPackageEntitlement;

            import
            io.stigg.models.v1.addons.entitlements.EntitlementUpdateParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    StiggClient client = StiggOkHttpClient.fromEnv();

                    EntitlementUpdateParams params = EntitlementUpdateParams.builder()
                        .addonId("addonId")
                        .id("id")
                        .body(EntitlementUpdateParams.Body.Feature.builder().build())
                        .build();
                    AddonPackageEntitlement addonPackageEntitlement = client.v1().addons().entitlements().update(params);
                }
            }
        - lang: Ruby
          source: >-
            require "stigg"


            stigg = Stigg::Client.new(api_key: "My API Key")


            addon_package_entitlement =
            stigg.v1.addons.entitlements.update("id", addon_id: "addonId", body:
            {type: :FEATURE})


            puts(addon_package_entitlement)
        - lang: C#
          source: >-
            using System;

            using Stigg.Client;

            using Stigg.Client.Models.V1.Addons.Entitlements;


            StiggClient client = new();


            EntitlementUpdateParams parameters = new()

            {
                AddonID = "addonId",
                ID = "id",
                Body = new BodyFeature()
                {
                    Behavior = BodyFeatureBehavior.Increment,
                    Description = "description",
                    DisplayNameOverride = "displayNameOverride",
                    EnumValues =
                    [
                        "string"
                    ],
                    HasSoftLimit = true,
                    HasUnlimitedUsage = true,
                    HiddenFromWidgets =
                    [
                        BodyFeatureHiddenFromWidget.Paywall
                    ],
                    IsCustom = true,
                    IsGranted = true,
                    MonthlyResetPeriodConfiguration = new(
                        BodyFeatureMonthlyResetPeriodConfigurationAccordingTo.SubscriptionStart
                    ),
                    Order = 0,
                    ResetPeriod = BodyFeatureResetPeriod.Year,
                    UsageLimit = 0,
                    WeeklyResetPeriodConfiguration = new(
                        BodyFeatureWeeklyResetPeriodConfigurationAccordingTo.SubscriptionStart
                    ),
                    YearlyResetPeriodConfiguration = new(
                        BodyFeatureYearlyResetPeriodConfigurationAccordingTo.SubscriptionStart
                    ),
                },
            };


            var addonPackageEntitlement = await
            client.V1.Addons.Entitlements.Update(parameters);


            Console.WriteLine(addonPackageEntitlement);
        - lang: CLI
          source: |-
            stigg v1:addons:entitlements update \
              --api-key 'My API Key' \
              --addon-id addonId \
              --id id \
              --type FEATURE
components:
  schemas:
    UpdateAddonEntitlementRequestDto:
      discriminator:
        propertyName: type
      oneOf:
        - type: object
          properties:
            description:
              type: string
              maxLength: 255
              description: Description of the entitlement
            isGranted:
              type: boolean
              description: Whether the entitlement is granted
            isCustom:
              type: boolean
              description: Whether this is a custom entitlement
            order:
              type: number
              description: Display order of the entitlement
            behavior:
              type: string
              enum:
                - Increment
                - Override
              description: Entitlement behavior (Increment or Override)
            hiddenFromWidgets:
              type: array
              items:
                type: string
                enum:
                  - PAYWALL
                  - CUSTOMER_PORTAL
                  - CHECKOUT
              description: Widget types where this entitlement is hidden
            displayNameOverride:
              type: string
              maxLength: 255
              description: Override display name for the entitlement
            type:
              type: string
              enum:
                - FEATURE
              description: UpdateFeatureEntitlementRequest
            usageLimit:
              type: integer
              description: Maximum allowed usage for the feature
              nullable: true
            hasUnlimitedUsage:
              type: boolean
              description: Whether usage is unlimited
            hasSoftLimit:
              type: boolean
              description: Whether the usage limit is a soft limit
            resetPeriod:
              type: string
              enum:
                - YEAR
                - MONTH
                - WEEK
                - DAY
                - HOUR
              description: Period at which usage resets
            yearlyResetPeriodConfiguration:
              type: object
              properties:
                accordingTo:
                  type: string
                  enum:
                    - SubscriptionStart
                  description: Reset anchor (SubscriptionStart)
              required:
                - accordingTo
              title: YearlyResetPeriodConfig
              description: Configuration for yearly reset period
              nullable: true
            monthlyResetPeriodConfiguration:
              type: object
              properties:
                accordingTo:
                  type: string
                  enum:
                    - SubscriptionStart
                    - StartOfTheMonth
                  description: Reset anchor (SubscriptionStart or StartOfTheMonth)
              required:
                - accordingTo
              title: MonthlyResetPeriodConfig
              description: Configuration for monthly reset period
              nullable: true
            weeklyResetPeriodConfiguration:
              type: object
              properties:
                accordingTo:
                  type: string
                  enum:
                    - SubscriptionStart
                    - EverySunday
                    - EveryMonday
                    - EveryTuesday
                    - EveryWednesday
                    - EveryThursday
                    - EveryFriday
                    - EverySaturday
                  description: Reset anchor (SubscriptionStart or specific day)
              required:
                - accordingTo
              title: WeeklyResetPeriodConfig
              description: Configuration for weekly reset period
              nullable: true
            enumValues:
              type: array
              items:
                type: string
                maxLength: 255
                description: Allowed enum values for the feature entitlement
              description: Allowed enum values for the feature entitlement
          required:
            - type
          title: UpdateFeatureEntitlementRequest
          description: Fields to update on a feature entitlement
        - type: object
          properties:
            description:
              type: string
              maxLength: 255
              description: Description of the entitlement
            isGranted:
              type: boolean
              description: Whether the entitlement is granted
            isCustom:
              type: boolean
              description: Whether this is a custom entitlement
            order:
              type: number
              description: Display order of the entitlement
            behavior:
              type: string
              enum:
                - Increment
                - Override
              description: Entitlement behavior (Increment or Override)
            hiddenFromWidgets:
              type: array
              items:
                type: string
                enum:
                  - PAYWALL
                  - CUSTOMER_PORTAL
                  - CHECKOUT
              description: Widget types where this entitlement is hidden
            displayNameOverride:
              type: string
              maxLength: 255
              description: Override display name for the entitlement
            type:
              type: string
              enum:
                - CREDIT
              description: UpdateCreditEntitlementRequest
            amount:
              type: number
              minimum: 0
              exclusiveMinimum: true
              description: Credit grant amount
            cadence:
              type: string
              enum:
                - MONTH
                - YEAR
              description: Credit grant cadence (MONTH or YEAR)
            hasSoftLimit:
              type: boolean
              description: >-
                Whether the credit wallet is soft-limited. When true,
                getEntitlement returns hasAccess=true past the limit; vendors
                decide whether to enforce. Defaults to false.
            dependencyFeatureId:
              type: string
              maxLength: 255
              minLength: 1
              pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
              description: >-
                The feature ID this entitlement depends on. The entitlement
                value will be calculated as: base amount × dependency feature
                usage limit
              nullable: true
          required:
            - type
          title: UpdateCreditEntitlementRequest
          description: Fields to update on a credit entitlement
      title: UpdateAddonEntitlementRequest
      description: Request to update an addon entitlement
    AddonPackageEntitlementResponseDto:
      type: object
      properties:
        data:
          discriminator:
            propertyName: type
          oneOf:
            - type: object
              properties:
                id:
                  type: string
                  maxLength: 255
                  description: Unique identifier of the entitlement
                description:
                  type: string
                  maxLength: 255
                  description: Optional description of the entitlement
                  nullable: true
                isGranted:
                  type: boolean
                  description: Whether the entitlement is granted
                isCustom:
                  type: boolean
                  description: Whether this is a custom entitlement
                  nullable: true
                order:
                  type: number
                  description: Display order of the entitlement
                  nullable: true
                behavior:
                  type: string
                  enum:
                    - Increment
                    - Override
                  description: Entitlement behavior (Increment or Override)
                hiddenFromWidgets:
                  type: array
                  items:
                    type: string
                    enum:
                      - PAYWALL
                      - CUSTOMER_PORTAL
                      - CHECKOUT
                  description: Widget types where this entitlement is hidden
                displayNameOverride:
                  type: string
                  maxLength: 255
                  description: Override display name for the entitlement
                  nullable: true
                createdAt:
                  type: string
                  format: date-time
                  description: Timestamp of when the record was created
                updatedAt:
                  type: string
                  format: date-time
                  description: Timestamp of when the record was last updated
                type:
                  type: string
                  enum:
                    - FEATURE
                  description: Entitlement type (FEATURE or CREDIT)
                usageLimit:
                  type: number
                  description: Usage limit (for feature entitlements)
                  nullable: true
                hasUnlimitedUsage:
                  type: boolean
                  description: Whether usage is unlimited (for feature entitlements)
                  nullable: true
                hasSoftLimit:
                  type: boolean
                  description: >-
                    Whether the usage limit is a soft limit (for feature
                    entitlements)
                  nullable: true
                resetPeriod:
                  type: string
                  enum:
                    - YEAR
                    - MONTH
                    - WEEK
                    - DAY
                    - HOUR
                  nullable: true
                  description: Usage reset period (for feature entitlements)
                resetPeriodConfiguration:
                  oneOf:
                    - type: object
                      properties:
                        accordingTo:
                          type: string
                          enum:
                            - SubscriptionStart
                          description: Reset anchor (SubscriptionStart)
                      required:
                        - accordingTo
                      title: YearlyResetPeriodConfig
                      description: Yearly reset configuration
                    - type: object
                      properties:
                        accordingTo:
                          type: string
                          enum:
                            - SubscriptionStart
                            - StartOfTheMonth
                          description: Reset anchor (SubscriptionStart or StartOfTheMonth)
                      required:
                        - accordingTo
                      title: MonthlyResetPeriodConfig
                      description: Monthly reset configuration
                    - type: object
                      properties:
                        accordingTo:
                          type: string
                          enum:
                            - SubscriptionStart
                            - EverySunday
                            - EveryMonday
                            - EveryTuesday
                            - EveryWednesday
                            - EveryThursday
                            - EveryFriday
                            - EverySaturday
                          description: Reset anchor (SubscriptionStart or specific day)
                      required:
                        - accordingTo
                      title: WeeklyResetPeriodConfig
                      description: Weekly reset configuration
                  nullable: true
                  description: Reset period configuration (for feature entitlements)
                enumValues:
                  type: array
                  items:
                    type: string
                    maxLength: 255
                    description: Allowed enum values (for feature entitlements)
                  nullable: true
                  description: Allowed enum values (for feature entitlements)
              required:
                - id
                - description
                - isGranted
                - isCustom
                - order
                - behavior
                - hiddenFromWidgets
                - displayNameOverride
                - createdAt
                - updatedAt
                - type
                - usageLimit
                - hasUnlimitedUsage
                - hasSoftLimit
                - resetPeriod
                - resetPeriodConfiguration
                - enumValues
              title: FeatureEntitlementResponse
              description: Feature entitlement response
            - type: object
              properties:
                id:
                  type: string
                  maxLength: 255
                  description: Unique identifier of the entitlement
                description:
                  type: string
                  maxLength: 255
                  description: Optional description of the entitlement
                  nullable: true
                isGranted:
                  type: boolean
                  description: Whether the entitlement is granted
                isCustom:
                  type: boolean
                  description: Whether this is a custom entitlement
                  nullable: true
                order:
                  type: number
                  description: Display order of the entitlement
                  nullable: true
                behavior:
                  type: string
                  enum:
                    - Increment
                    - Override
                  description: Entitlement behavior (Increment or Override)
                hiddenFromWidgets:
                  type: array
                  items:
                    type: string
                    enum:
                      - PAYWALL
                      - CUSTOMER_PORTAL
                      - CHECKOUT
                  description: Widget types where this entitlement is hidden
                displayNameOverride:
                  type: string
                  maxLength: 255
                  description: Override display name for the entitlement
                  nullable: true
                createdAt:
                  type: string
                  format: date-time
                  description: Timestamp of when the record was created
                updatedAt:
                  type: string
                  format: date-time
                  description: Timestamp of when the record was last updated
                type:
                  type: string
                  enum:
                    - CREDIT
                  description: Entitlement type (FEATURE or CREDIT)
                amount:
                  type: number
                  description: Credit amount (for credit entitlements)
                  nullable: true
                cadence:
                  type: string
                  enum:
                    - MONTH
                    - YEAR
                  nullable: true
                  description: Credit grant cadence (for credit entitlements)
                hasSoftLimit:
                  type: boolean
                  description: >-
                    Whether the credit wallet is soft-limited. When true,
                    getEntitlement returns hasAccess=true past the limit;
                    vendors decide whether to enforce. Defaults to false.
                  nullable: true
                dependencyFeatureId:
                  type: string
                  maxLength: 255
                  minLength: 1
                  pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
                  description: >-
                    The feature ID this entitlement depends on (for credit
                    entitlements). The entitlement value will be calculated as:
                    base amount × dependency feature usage limit
                  nullable: true
              required:
                - id
                - description
                - isGranted
                - isCustom
                - order
                - behavior
                - hiddenFromWidgets
                - displayNameOverride
                - createdAt
                - updatedAt
                - type
                - amount
                - cadence
                - hasSoftLimit
              title: CreditEntitlementResponse
              description: Credit entitlement response
      required:
        - data
      title: Response
      description: Response object
    BadInputErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - BadUserInput
            - DuplicateIntegrationNotAllowed
            - EntityIsArchivedError
            - IntegrityViolation
            - FreePlanCantHaveCompatiblePackageGroupError
            - SubscriptionMustHaveSinglePlanError
            - AddonIsCompatibleWithPlan
            - AddonIsCompatibleWithGroup
            - DuplicateAddonProvisionedError
            - ScheduledMigrationAlreadyExistsError
            - SubscriptionAlreadyOnLatestPlan
            - EntityIdDifferentFromRefIdError
            - UnsupportedFeatureType
            - UnsupportedVendorIdentifier
            - UnsupportedSubscriptionScheduleType
            - InvalidEntitlementResetPeriod
            - IncompatibleSubscriptionAddon
            - UnPublishedPackage
            - MeteringNotAvailableForFeatureType
            - AuthCustomerMismatch
            - AuthCustomerReadonly
            - FetchAllCountriesPricesNotAllowed
            - MemberInvitationError
            - PlansCircularDependencyError
            - NoFeatureEntitlementInSubscription
            - CheckoutIsNotSupported
            - UnsupportedParameter
            - PricingModelNotSupportedByBillingIntegration
            - BillingIntegrationMissing
            - BillingIntegrationAlreadyExistsError
            - InvalidMemberDelete
            - PackageAlreadyPublished
            - DraftPlanCantBeArchived
            - DraftAddonCantBeArchived
            - PlanWithChildCantBeDeleted
            - PlanCannotBePublishWhenBasePlanIsDraft
            - PlanCannotBePublishWhenCompatibleAddonIsDraft
            - PlanIsUsedAsDefaultStartPlan
            - PlanIsUsedAsDowngradePlan
            - InvalidAddressError
            - InvalidQuantity
            - BillingPeriodMissingError
            - DowngradeBillingPeriodNotSupportedError
            - CustomerAlreadyUsesCouponError
            - CustomerAlreadyHaveCustomerCoupon
            - SubscriptionAlreadyCanceledOrExpired
            - TrialMustBeCancelledImmediately
            - SubscriptionDoesNotHaveBillingPeriod
            - InvalidCancellationDate
            - FailedToImportCustomer
            - FailedToImportSubscriptions
            - PackagePricingTypeNotSet
            - InvalidSubscriptionStatus
            - InvalidArgumentError
            - EditAllowedOnDraftPackageOnlyError
            - ResyncAlreadyInProgress
            - ArchivedCouponCantBeApplied
            - ImportAlreadyInProgress
            - AddonHasToHavePriceError
            - SelectedBillingModelDoesntMatchImportedItemError
            - CannotArchiveProductError
            - CannotUnarchiveProductError
            - CannotDeleteCustomerError
            - CannotRemovePaymentMethodFromCustomerError
            - CannotDeleteFeatureError
            - CannotArchiveFeatureError
            - InvalidUpdatePriceUnitAmountError
            - ExperimentAlreadyRunning
            - ExperimentStatusError
            - OperationNotAllowedDuringInProgressExperiment
            - EntitlementsMustBelongToSamePackage
            - CanNotUpdateEntitlementsFeatureGroup
            - MeterMustBeAssociatedToMeteredFeature
            - CannotEditPackageInNonDraftMode
            - CannotAddOverrideEntitlementToPlan
            - MissingEntityIdError
            - NoProductsAvailable
            - PromotionCodeNotForCustomer
            - PromotionCodeNotActive
            - PromotionCodeMaxRedemptionsReached
            - PromotionCodeMinimumAmountNotReached
            - PromotionCodeCustomerNotFirstPurchase
            - AddonWithDraftCannotBeDeletedError
            - CannotReportUsageForEntitlementWithMeterError
            - RecalculateEntitlementsError
            - ImportSubscriptionsBulkError
            - InvalidMetadataError
            - CannotUpsertToPackageThatHasDraft
            - IntegrationValidationError
            - AwsMarketplaceIntegrationValidationError
            - AwsMarketplaceIntegrationError
            - DataExportIntegrationError
            - HubspotIntegrationError
            - DuplicateProductValidationError
            - AmountTooLarge
            - CustomerHasNoEmailAddress
            - MergeEnvironmentValidationError
            - EntitlementLimitExceededError
            - EntitlementUsageOutOfRangeError
            - UsageMeasurementDiffOutOfRangeError
            - AddonQuantityExceedsLimitError
            - AddonDependencyMissingError
            - PackageGroupMinItemsError
            - CannotUpdateUnitTransformationError
            - SingleSubscriptionCantBeAutoCancellationTargetError
            - MultiSubscriptionCantBeAutoCancellationSourceError
            - ChangingPayingCustomerIsNotSupportedError
            - RequiredSsoAuthenticationError
            - InvalidDoggoSignatureError
            - InvalidReceivedSignatureError
            - CannotDeleteDefaultIntegration
            - CannotChangeBillingIntegration
            - FailedToResolveBillingIntegration
            - WorkflowTriggerNotFound
            - DeprecatedEstimateSubscriptionError
            - FeatureConfigurationExceededLimitError
            - FeatureNotBelongToFeatureGroupError
            - FeatureGroupMissingFeaturesError
            - VersionExceedsMaxValueError
            - CannotUpdateExpireAtForExpiredCreditGrantError
            - ExpireAtMustBeLaterThanEffectiveAtError
            - OfferAlreadyExists
            - DraftAlreadyExists
            - CreditGrantAlreadyVoided
            - CreditGrantCannotBeVoided
            - InvalidTaxId
            - ObjectAlreadyBeingUsedByAnotherRequestError
            - TooManySubscriptionsPerCustomer
            - TooManyCustomCurrencies
            - StripeError
            - SchedulingAtEndOfBillingPeriod
            - ApiKeyExpired
            - ApiKeyHasExpiry
          nullable: true
      required:
        - message
        - code
    UnauthenticatedErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - Unauthenticated
          nullable: true
      required:
        - message
        - code
    ForbiddenErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - IdentityForbidden
            - AccessDeniedError
            - NoFeatureEntitlementError
          nullable: true
      required:
        - message
        - code
    NotFoundErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - CustomerNotFound
            - CustomCurrencyNotFound
            - CreditGrantNotFound
            - MemberNotFound
            - PackageGroupNotFound
            - AddonNotFound
            - AddonsNotFound
            - EnvironmentMissing
            - IntegrationNotFound
            - VendorIsNotSupported
            - CouponNotFound
            - FutureUpdateNotFound
            - CustomerNoBillingId
            - SubscriptionNoBillingId
            - StripeCustomerIsDeleted
            - InitStripePaymentMethodError
            - PreparePaymentMethodFormError
            - AccountNotFoundError
            - ExperimentNotFoundError
            - NoDraftOfferFound
            - PromotionCodeNotFound
            - FailedToCreateCheckoutSessionError
            - PaymentMethodNotFoundError
            - ProductNotFoundError
            - ProductNotPublishedError
            - MissingBillingInvoiceError
            - BillingInvoiceStatusError
            - FeatureGroupNotFoundError
            - CannotArchiveFeatureGroupError
            - OfferNotFound
            - CustomerResourceNotFound
            - FeatureNotFound
            - PriceNotFound
            - NoActiveSubscriptionForCustomer
            - PlanNotFound
            - PromotionalEntitlementNotFoundError
            - SubscriptionNotFound
            - ApiKeyNotFound
          nullable: true
      required:
        - message
        - code
    TooManyRequestsErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - RateLimitExceeded
          nullable: true
      required:
        - message
        - code
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Server API Key

````